#ifndef APPLICATION_H
#define APPLICATION_H

#include <SFML/System/Clock.hpp>
#include <SFML/Window/Keyboard.hpp>

#include "debughelper.h"
#include "timeline.h"
#include "note.h"
#include "game.h"

class Application
{
public:
    Application();
   ~Application();
    void run();
    void input();
    void update();
    void draw();

private:
    sf::RenderWindow _game_window;

    sf::Font _font;
    sf::Text _grade;

    std::unique_ptr<Timeline> _timeline;
    DebugHelper _debug;

    std::unique_ptr<Game> _game;

    void startGameLoop();
};

#endif // APPLICATION_H
